/*
** Module   : ExtentHintField.java
** Abstract : Container for name, label and description of hint for custom denormalization
*             of field with extent.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 VMN 20140215 Created initial version.
*/

package com.goldencode.p2j.schema;

/**
 * Container for name, label and description of hint for custom denormalization of field with
 * extent.
 */

public class ExtentHintField
{
   private String name;
   private String label;
   private String description;

   public ExtentHintField(String name, String label, String description)
   {
      this.name = name;
      this.label = label;
      this.description = description;
   }

   public String getName()
   {
      return name;
   }

   public String getLabel()
   {
      return label;
   }

   public String getDescription()
   {
      return description;
   }
}
